"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.I18nContext = void 0;
class I18nContext {
    constructor(lang, service) {
        this.lang = lang;
        this.service = service;
    }
    translate(key, options) {
        options = Object.assign({ lang: this.lang }, options);
        return this.service.translate(key, options);
    }
    t(key, options) {
        return this.translate(key, options);
    }
    validate(value, options) {
        options = Object.assign({ lang: this.lang }, options);
        return this.service.validate(value, options);
    }
}
exports.I18nContext = I18nContext;
//# sourceMappingURL=i18n.context.js.map