---
sidebar_position: 1
slug: /
---

# Welcome

<head>
  <title>nestjs-i18n - made easy</title>
</head>

<p align="center">
  <a href="#"><img src="https://nestjs-i18n.com/img/logo.svg" width="600" alt="nestjs-i18n Logo" /></a>
</p>
<p align="center">
  The i18n library for <a href="https://nestjs.com" target="_blank">nestjs</a>. It makes working with languages in your nestjs project easy. Everything is made to be highly configurable. You can write and plug-in your own language resolvers or loaders.
  <p align="center">
    <a href="https://www.npmjs.com/package/nestjs-i18n" target="_blank"><img alt="npm version" src="https://img.shields.io/npm/v/nestjs-i18n" /></a>
    <a href="https://www.npmjs.com/package/nestjs-i18n" target="_blank"><img alt="NPM" src="https://img.shields.io/npm/l/nestjs-i18n" /></a>
    <a href="https://github.com/toonvanstrijp/nestjs-i18n/actions/workflows/test.yaml" target="_blank"><img src="https://github.com/toonvanstrijp/nestjs-i18n/actions/workflows/test.yaml/badge.svg?branch=main" /></a>
    <a href="https://www.npmjs.com/package/nestjs-i18n" target="_blank"><img alt="npm downloads" src="https://img.shields.io/npm/dm/nestjs-i18n" /></a>
     <a href="https://coveralls.io/github/toonvanstrijp/nestjs-i18n?branch=main" target="_blank"><img alt="coverage" src="https://coveralls.io/repos/github/toonvanstrijp/nestjs-i18n/badge.svg?branch=main" /></a>
  </p>
</p>

## Features

**nestjs-i18n** comes with a bunch of tools to help add multiple language support to your project.

- **Variable formatting** ([instructions](guides/formatting.md))
- **Nested** translations ([instructions](guides/nested.md))
- **Fallback** languages ([instructions](guides/fallback-languages.md))
- **Live** reloading 🎉
- **Plurals** support ([instructions](guides/plurals.md))
- **GraphQL** support ([instructions](guides/graphql.md))
- **gRPC** support ([instructions](guides/grpc.md))
- **DTO** validation ([instructions](guides/dto_validation/global-validation))
- View engine support ([**hbs**](guides/view_engines/handlebars) or [**pug**](guides/view_engines/pug) or [**ejs**](guides/view_engines/ejs))
- Custom resolvers
- Custom loaders
- Custom formatters

## Getting started

To get started follow the [quickstart](quick-start.mdx). 

:::tip

Missing something? Feel free to create a pull request or issue on our [github](https://github.com/toonvanstrijp/nestjs-i18n).

:::
